<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FF82AB=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FF800B=99</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage">
    <parameter min="1" max="10" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@FF8501==00)">maincpu.pb@FF8501=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pd@FF838C=00600060</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FF8341=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL1">
    <script state="run">
      <action>maincpu.pb@FF83BB=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Money PL1">
    <script state="run">
      <action>maincpu.pw@FF83B3=9999</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shield on Pickup PL1">
    <script state="run">
      <action>maincpu.pb@FF83BD=04</action>
    </script>
  </cheat>

  <cheat desc="Select Main Weapon PL1">
    <parameter>
      <item value="0x00">Spread (Yellow)</item>
      <item value="0x01">Missile (Blue)</item>
      <item value="0x02">Guns (Green)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF83C8=param</action>
    </script>
  </cheat>

  <cheat desc="Select Sub Weapon PL1">
    <parameter>
      <item value="0x01">Dispenser Level 1</item>
      <item value="0x02">Dispenser Level 2</item>
      <item value="0x03">Dispenser Level 3</item>
      <item value="0x04">Dispenser SP</item>
      <item value="0x05">Missile Level 1</item>
      <item value="0x06">Missile Level 2</item>
      <item value="0x07">Laser Level 1</item>
      <item value="0x08">Laser Level 2</item>
      <item value="0x09">Bomb</item>
      <item value="0x10">Super Bomb</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@FF83B1=01</action>
      <action condition="(param==01)">maincpu.pb@FF83B6=01</action>
      <action condition="(param==02)">maincpu.pb@FF83B1=01</action>
      <action condition="(param==02)">maincpu.pb@FF83B6=03</action>
      <action condition="(param==03)">maincpu.pb@FF83B1=01</action>
      <action condition="(param==03)">maincpu.pb@FF83B6=04</action>
      <action condition="(param==04)">maincpu.pb@FF83B1=01</action>
      <action condition="(param==04)">maincpu.pb@FF83B6=05</action>
      <action condition="(param==05)">maincpu.pb@FF83B1=05</action>
      <action condition="(param==05)">maincpu.pb@FF83B6=01</action>
      <action condition="(param==06)">maincpu.pb@FF83B1=05</action>
      <action condition="(param==06)">maincpu.pb@FF83B6=02</action>
      <action condition="(param==07)">maincpu.pb@FF83B1=02</action>
      <action condition="(param==07)">maincpu.pb@FF83B6=01</action>
      <action condition="(param==08)">maincpu.pb@FF83B1=02</action>
      <action condition="(param==08)">maincpu.pb@FF83B6=02</action>
      <action condition="(param==09)">maincpu.pb@FF83B1=03</action>
      <action condition="(param==09)">maincpu.pb@FF83B6=01</action>
      <action condition="(param==10)">maincpu.pb@FF83B1=03</action>
      <action condition="(param==10)">maincpu.pb@FF83B6=02</action>
    </script>
  </cheat>

  <cheat desc="Weapon Level 6 (max) PL1">
    <script state="run">
      <action>maincpu.pb@FF83B0=05</action>
    </script>
  </cheat>

  <cheat desc="Weapon Power 99 (max) PL1">
    <script state="run">
      <action>maincpu.pb@FF83C6=99</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@FF83A2=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pd@FF848C=00600060</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FF8400=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL2">
    <script state="run">
      <action>maincpu.pb@FF84BB=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Money PL2">
    <script state="run">
      <action>maincpu.pw@FF84B3=9999</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shield on Pickup PL2">
    <script state="run">
      <action>maincpu.pb@FF84BD=04</action>
    </script>
  </cheat>

  <cheat desc="Select Main Weapon PL2">
    <parameter>
      <item value="0x00">Spread (Yellow)</item>
      <item value="0x01">Missile (Blue)</item>
      <item value="0x02">Guns (Green)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF84C8=param</action>
    </script>
  </cheat>

  <cheat desc="Select Sub Weapon PL2">
    <parameter>
      <item value="0x01">Dispenser Level 1</item>
      <item value="0x02">Dispenser Level 2</item>
      <item value="0x03">Dispenser Level 3</item>
      <item value="0x04">Dispenser SP</item>
      <item value="0x05">Missile Level 1</item>
      <item value="0x06">Missile Level 2</item>
      <item value="0x07">Laser Level 1</item>
      <item value="0x08">Laser Level 2</item>
      <item value="0x09">Bomb</item>
      <item value="0x10">Super Bomb</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@FF84B1=01</action>
      <action condition="(param==01)">maincpu.pb@FF84B6=01</action>
      <action condition="(param==02)">maincpu.pb@FF84B1=01</action>
      <action condition="(param==02)">maincpu.pb@FF84B6=03</action>
      <action condition="(param==03)">maincpu.pb@FF84B1=01</action>
      <action condition="(param==03)">maincpu.pb@FF84B6=04</action>
      <action condition="(param==04)">maincpu.pb@FF84B1=01</action>
      <action condition="(param==04)">maincpu.pb@FF84B6=05</action>
      <action condition="(param==05)">maincpu.pb@FF84B1=05</action>
      <action condition="(param==05)">maincpu.pb@FF84B6=01</action>
      <action condition="(param==06)">maincpu.pb@FF84B1=05</action>
      <action condition="(param==06)">maincpu.pb@FF84B6=02</action>
      <action condition="(param==07)">maincpu.pb@FF84B1=02</action>
      <action condition="(param==07)">maincpu.pb@FF84B6=01</action>
      <action condition="(param==08)">maincpu.pb@FF84B1=02</action>
      <action condition="(param==08)">maincpu.pb@FF84B6=02</action>
      <action condition="(param==09)">maincpu.pb@FF84B1=03</action>
      <action condition="(param==09)">maincpu.pb@FF84B6=01</action>
      <action condition="(param==10)">maincpu.pb@FF84B1=03</action>
      <action condition="(param==10)">maincpu.pb@FF84B6=02</action>
    </script>
  </cheat>

  <cheat desc="Weapon Level 6 (max) PL2">
    <script state="run">
      <action>maincpu.pb@FF84B0=05</action>
    </script>
  </cheat>

  <cheat desc="Weapon Power 99 (max) PL2">
    <script state="run">
      <action>maincpu.pb@FF84C6=99</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@FF84A2=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>This cheat sets the machine region - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x00">Japan</item>
      <item value="0x01">USA</item>
      <item value="0x02">World</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF82C5=param</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="255" step="1"/>
    <script state="change">
      <action>maincpu.pb@800181=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
